#' jaod
#'
#' Client for the Directory of Open Access Journals (DOAJ)
#' <https://doaj.org/>.
#'
#' @section DOAJ Information:
#' DOAJ is a (quoting) "community-curated list of open access journals and aims
#' to be the starting point for all information searches for quality, peer
#' reviewed open access material."
#'
#' DOAJ API documentation can be found at <https://doaj.org/api/v2/docs>.
#' 
#' DOAJ API FAQ: <https://doaj.org/docs/faq/#apikey>
#'
#' @section Package API:
#' * [jaod_article()] - Get an article by ID
#' * [jaod_article_search()] - Search for articles
#' * [jaod_journal()] - Get a journal by ID
#' * [jaod_journal_search()] - Search for journals
#'
#' @name jaod-package
#' @aliases jaod
#' @docType package
#' @keywords package
#' @author Scott Chamberlain
NULL
